Reserves
GET
/v1/reserves
const url = 'https://api.tako.wtf/v1/reserves';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.tako.wtf/v1/reservesAssets against what the pool owes holders and claims, and what it keeps reserved. covered is false if assets fall short.
Responses
Section titled “Responses”OK
Media typeapplication/json
object
updatedAt
required
Unix seconds
integer
assets
required
object
balance
required
Amount in nanoGram, as a decimal string
string
lent
required
Amount in nanoGram, as a decimal string
string
total
required
Amount in nanoGram, as a decimal string
string
liabilities
required
object
holders
required
Amount in nanoGram, as a decimal string
string
claims
required
Amount in nanoGram, as a decimal string
string
total
required
Amount in nanoGram, as a decimal string
string
reserved
required
object
collateral
required
Amount in nanoGram, as a decimal string
string
insurance
required
Amount in nanoGram, as a decimal string
string
surplus
required
Amount in nanoGram, as a decimal string
string
covered
required
Whether assets cover liabilities and reserves
boolean
Example generated
{ "updatedAt": 1, "assets": { "balance": "example", "lent": "example", "total": "example" }, "liabilities": { "holders": "example", "claims": "example", "total": "example" }, "reserved": { "collateral": "example", "insurance": "example" }, "surplus": "example", "covered": true}No snapshot or stream capacity yet
Media typeapplication/json
object
error
required
string
Example generated
{ "error": "example"}